Page MenuHomePhabricator

Drop table image_comment_temp on all wikis
Closed, ResolvedPublic

Description

Wait until 1.33.0-wmf.6 or later is deployed before doing this! That probably means December 2018 or later.

The table is empty on all wikis, and unused since rMWd099bb6f9578: Drop the image_comment_temp table.

Deletion progress

  • s1
  • s2
  • s3
  • s4
  • s5
  • s6
  • s7
  • s8

wikitech

  • labswiki
  • labtestwiki

Event Timeline

Anomie created this task.Nov 15 2018, 2:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 2:43 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

(1.33.0-wmf.5 won't ever get cut, as there's no train next week.)

Jdforrester-WMF changed the task status from Open to Stalled.Nov 15 2018, 3:48 PM
Marostegui triaged this task as Medium priority.Nov 16 2018, 7:24 AM
Marostegui moved this task from Triage to Backlog on the DBA board.
Marostegui added a subscriber: Marostegui.

Can you please let us know when this is ready to proceed?
Thanks!

(1.33.0-wmf.5 won't ever get cut, as there's no train next week.)

That's part of why I said "1.33.0-wmf.5 or later".[1]

[1]: The other part is the potential for train stoppage to mean 1.33.0-wmf.6 never makes it out either and we wind up with wmf.8 being the first usable version deployed.

Banyek added a subscriber: Banyek.Nov 29 2018, 2:28 PM

@Marostegui can I take this?

Sure you can! Coordinate with @Anomie to make sure it is good to go.

Not quite yet, probably next week. 1.33.0-wmf.6 is being deployed this week, but isn't everywhere yet (and there's the risk of having to rollback to wmf.4).

Not quite yet, probably next week. 1.33.0-wmf.6 is being deployed this week, but isn't everywhere yet (and there's the risk of having to rollback to wmf.4).

OK, just ping me when I can start with this

Anomie changed the task status from Stalled to Open.Dec 3 2018, 2:56 PM

Should be good to go now.

Marostegui moved this task from Backlog to Next on the DBA board.Dec 14 2018, 7:19 AM
Marostegui added a comment.EditedDec 19 2018, 8:07 AM

Confirmed empty on all wikis.

CREATE TABLE `image_comment_temp` (
  `imgcomment_name` varbinary(255) NOT NULL,
  `imgcomment_description_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`imgcomment_name`,`imgcomment_description_id`),
  UNIQUE KEY `imgcomment_name` (`imgcomment_name`)
) ENGINE=InnoDB DEFAULT CHARSET=binary;
Marostegui updated the task description. (Show Details)Dec 19 2018, 8:07 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T08:27:20Z] <marostegui> Drop image_comment_temp from s1 - T209591

Marostegui updated the task description. (Show Details)
Marostegui moved this task from Next to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2018-12-19T08:28:42Z] <marostegui> Drop image_comment_temp from s2 - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 8:40 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T08:40:21Z] <marostegui> Drop image_comment_temp from s8 - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 8:43 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T08:46:41Z] <marostegui> Drop image_comment_temp from s6 - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 8:48 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T08:50:27Z] <marostegui> Drop image_comment_temp from s7 - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 8:58 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T11:11:17Z] <marostegui> Drop image_comment_temp from s5 - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 11:15 AM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T12:46:40Z] <marostegui> Drop image_comment_temp on s3 - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 1:17 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T13:31:06Z] <marostegui> Drop image_comment_temp on s4 - T209591

Marostegui closed this task as Resolved.Dec 19 2018, 1:31 PM
Marostegui updated the task description. (Show Details)

I have dropped the table everywhere

Marostegui updated the task description. (Show Details)Dec 19 2018, 3:07 PM

Mentioned in SAL (#wikimedia-operations) [2018-12-19T15:07:29Z] <marostegui> Drop image_comment_temp from labswiki and labtestwiki - T209591

Marostegui updated the task description. (Show Details)Dec 19 2018, 3:07 PM